package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourcePlcInfoPO;
import mhp.oee.po.gen.ResourcePlcInfoPOExample;

public interface ResourcePlcInfoPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int countByExample(ResourcePlcInfoPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int deleteByExample(ResourcePlcInfoPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int insert(ResourcePlcInfoPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int insertSelective(ResourcePlcInfoPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    List<ResourcePlcInfoPO> selectByExample(ResourcePlcInfoPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    ResourcePlcInfoPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourcePlcInfoPO record, @Param("example") ResourcePlcInfoPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourcePlcInfoPO record, @Param("example") ResourcePlcInfoPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourcePlcInfoPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourcePlcInfoPO record);
}